﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.SubTypes
{
    public enum UnitOfMeasure
    {
        /// <summary>
        /// Watt-hours (energy). Default.
        /// </summary>
        Wh=1,
        /// <summary>
        /// kiloWatt-hours (energy).
        /// </summary>
        kWh,
        /// <summary>
        /// Var-hours (reactive energy).
        /// </summary>
        varh,
        /// <summary>
        /// kilovar-hours (reactive energy).
        /// </summary>
        kvarh,
        /// <summary>
        /// Watts (power).
        /// </summary>
        W,
        /// <summary>
        /// kilowatts (power).
        /// </summary>
        kW,
        /// <summary>
        /// VoltAmpere (apparent power).
        /// </summary>
        VA,
        /// <summary>
        /// kiloVolt Ampere (apparent power).
        /// </summary>
        kVA,
        /// <summary>
        /// Vars (reactive power).
        /// </summary>
        var,
        /// <summary>
        /// kilovars (reactive power).
        /// </summary>
        kvar,
        /// <summary>
        /// Amperes (current).
        /// </summary>
        A,
        /// <summary>
        /// Voltage (r.m.s. AC).
        /// </summary>
        V,
        /// <summary>
        /// Degrees (temperature).
        /// </summary>
        Celsius,
        /// <summary>
        /// Degrees (temperature).
        /// </summary>
        Fahrenheit,
        /// <summary>
        /// Degrees Kelvin (temperature).
        /// </summary>
        K,
        /// <summary>
        /// Percentage.
        /// </summary>
        Percent,
    }
}
