﻿using System.ComponentModel.DataAnnotations;

namespace EVCB_OCPP.Packet20.DataTypes
{
    public class ACChargingParametersType
    {

        /// <summary>
        /// Amount of energy requested (in Wh). This
        ///includes energy required for preconditioning.
        /// </summary>
        [Required]
        public int EnergyAmount { set; get; }

        /// <summary>
        /// Minimum current (amps) supported by the
        ///  electric vehicle(per phase).
        /// </summary>
        [Required]
        public int EvMinCurrent { set; get; }

        /// <summary>
        /// Maximum current (amps) supported by the
        ///  electric vehicle(per phase). Includes cable capacity.
        /// </summary>
        [Required]
        public int EvMaxCurrent { set; get; }

        /// <summary>
        /// Maximum voltage supported by the electric
        ///vehicle
        /// </summary>
        [Required]
        public int EvMaxVoltage { set; get; }


    }
}
