﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum ReportBaseEnumType
    {
        /// <summary>
        /// Required. A (configuration) report that lists all Components/Variables that can be set by the operator.
        /// </summary>
        ConfigurationInventory = 1,
        /// <summary>
        ///  Required. A (full) report that lists everything except monitoring settings.
        /// </summary>
        FullInventory,
        /// <summary>
        ///  Optional. A (summary) report that lists Components/Variables relating to the Charging Station’s current
        /// charging availability, and to any existing problem conditions.
        ///   For the Charging Station Component:
        ///- AvailabilityState.
        /// For each EVSE Component:
        ///- AvailabilityState.
        ///For each Connector Component:
        ///- AvailabilityState (if known and different from EVSE).
        ///  For all Components in an abnormal State:
        ///- Active (Problem, Tripped, Overload, Fallback) variables.
        ///- Any other diagnostically relevant Variables of the Components.
        ///- Include TechCode and TechInfo where available.
        /// All monitored Component.Variables in Critical or Alert state shall also be included.
        ///- Charging Stations that do not have Monitoring implemented are NOT REQUIRED to include Connector
        ///  Availability, monitoring alerts, and MAY limit problem reporting detail to just the active Problem boolean
        ///  Variable.
        /// </summary>
        SummaryInventory
    }
}
