﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.DataTypes
{
    public class SalesTariffType
    {
        /// <summary>
        /// SalesTariff identifier used to identify one sales
        ///tariff.An SAID remains a unique identifier for one
        ///schedule throughout a charging session
        /// </summary>
        [Required]
        public int Id { set; get; }

        /// <summary>
        /// A human readable title/short description of the
        ///sales tariff e.g. for HMI display purposes.
        /// </summary>
        [StringLength(32, MinimumLength = 0)]
        public string SalseTariffDescription { set; get; }

        /// <summary>
        /// Defines the overall number of distinct price
        ///levels used across all provided SalesTariff elements
        /// </summary>
        public int? NumEPriceLevels { set; get; }

        /// <summary>
        /// Encapsulating element describing all relevant
        ///details for one time interval of the SalesTariff.The
       /// number of SalesTariffEntry elements is limited by the
       /// parameter maxScheduleTuples.
        /// </summary>
       [Required]
        public List<SalesTariffEntryType> SalesTariffEntry { set; get; }

    }
}
