﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class Get15118EVCertificateRequest
    {
        /// <summary>
        /// Schema version currently used for the 15118
        /// session between EV and Charging Station.Needed for
        /// </summary>
        [Required]
        [StringLength(50, MinimumLength = 0)]
        public string Iso15118SchemaVersion { set; get; }

        /// <summary>
        /// Defines whether certificate needs to be
        ///installed or updated.
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public CertificateActionEnumType Action { set; get; }

        /// <summary>
        /// Raw CertificateInstallationReq request from EV,
        ///  Base64 encoded.
        /// </summary>
        [Required]
        [StringLength(5600, MinimumLength = 0)]
        public string ExiRequest { set; get; }
    }
}
