﻿using EVCB_OCPP.Packet20.DataTypes;
using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class GetReportRequest
    {
        /// <summary>
        /// The Id of the request
        /// </summary>
        [Required]
        public int RequestId { set; get; }

        /// <summary>
        /// This field contains criteria for components for
        ///which a monitoring report is requested
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public MonitoringCriterionEnumType MonitoringCriteria { set; get; }

        /// <summary>
        /// This field specifies the components and
        ///variables for which a monitoring report is requested
        /// </summary>
        public List<ComponentVariableType> ComponentVariable { set; get; }
    }
}
