﻿using EVCB_OCPP.Packet20.DataTypes;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class NotifyDisplayMessagesRequest
    {
        /// <summary>
        /// The id of the GetDisplayMessagesRequest that
        ///requested this message.
        /// </summary>
        [Required]
        public int RequestId { set; get; }

        /// <summary>
        /// "to be continued" indicator. Indicates whether
        /// another part of the report follows in an upcoming
        ///NotifyDisplayMessagesRequest message.Default value
        ///when omitted is false.
        /// </summary>
        public bool? Tbc { set; get; }

        /// <summary>
        /// The requested display message as configured
        ///in the Charging Station
        /// </summary>
        public List<MessageInfoType> MessageInfo { set; get; }
    }
}
